<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 
backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_testsectionpadding', 'testimonials_area', 'Section Padding ');

$wp_customize->add_setting(
    'sec_testimonialsectionTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionTpadding',
    array(
        'settings'      => 'sec_testimonialsectionTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'sec_testimonialsectionBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'sec_testimonialsectionBpadding',
    array(
        'settings'      => 'sec_testimonialsectionBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk Premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_tshead_image', 'testimonials_area', 'Flowers Image Setting');

$wp_customize->add_setting( 'tshimg_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'tshimg_display', array( 'label' => 'Flowers Image Display', 'section' => 'testimonials_area', 'settings' => 'tshimg_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show  ', 'hide' => 'Hide ', ), ) ); 

$wp_customize->add_setting(
    'services_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'services_maintitle_subtitle_heading',
        array(
            'settings'      => 'services_maintitle_subtitle_heading',
            'section'       => 'testimonials_area',
            'label'         => __( 'Section Sub Heading & Heading', 'Luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'testi_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Client Reviews', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'testi_subtitle',
    array(
        'settings'      => 'testi_subtitle',
        'section'       => 'testimonials_area', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'testisec_subtitleclr', 'testimonials_area', 'Sub Heading Color', '#000');

$wp_customize->add_setting(
    'services_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'What Our Clients Say', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'services_maintitle',
    array(
        'settings'      => 'services_maintitle',
        'section'       => 'testimonials_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'testisec_titleclr', 'testimonials_area', 'Heading Color', '#000');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 7; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}

lzCustomLable($wp_customize, 'luzuk_sec_testsclr', 'testimonials_area', 'Section Color');

addColorPalatOption($wp_customize, 'luzuk_testimonials_boxcolor', 'testimonials_area', 'Box Color', '#f2f2f2');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namecolor', 'testimonials_area', 'Client Name Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namehvcolor', 'testimonials_area', 'Client Name Hover Color', '#EC003F');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Desgcolor', 'testimonials_area', 'Client Designation Color', '#585858');

addColorPalatOption($wp_customize, 'testsec_txtclr', 'testimonials_area', ' Text Color', '#212121');

addColorPalatOption($wp_customize, 'testsec_texticnclr', 'testimonials_area', 'Text Icon Color', '#EC003F');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Dotclr', 'testimonials_area', 'Slider Dot Color', '#c5c4c4');

addColorPalatOption($wp_customize, 'luzuk_testimonials_acveDotclr', 'testimonials_area', 'Slider Active Dot Color', '#44362A');


?>